CFLAGS = -DKERNEL
ASFLAGS = -P

load: kern_hostid.o
	chmod +x sethostid.exec
	/usr/etc/modload kern_hostid.o -v -entry _sethostidinit -exec sethostid.exec

sethostid: sethostid.o sethostid.h
	cc -o sethostid -I. sethostid.c

clean:
	rm -f core *.o sethostid kern_hostid sethostid.h
